Subject: [bug#54311] [PATCH v2] gnu: tint2: Update to 17.0.2.

From: Maxime Devos <[email-masked]>
Date: Wed, 11 May 2022 11:51:09 +0200

Wamm K. D schreef op za 02-04-2022 om 22:01 [-0500]:
> ---
> Here we go, Maxime; I've switched the ~fetch~ method to =git=.
> 
> I think you're absolutely right about the =fix-installation-prefix= phase not
> being necessary as "etc" isn't even in the =CMakeLists.txt= file, anymore; I had
> no issues building with the phase removed, as well.
> 
> Removing not–running-tests, however, did result in a "make: *** No rule to make
> target 'test'.  Stop." error, however, so I'm guessing that, while the files in
> that directory are used for testing, they are not incorporated as part of the
> build process and there still is no target so I've left that in.

There's 'regression.py' which has a 'main' and 'run_unit_tests'.  Maybe
'regression.py' can be run in the 'check' phase?

> 
> Hopefully this addresses everything and thanks a ton for looking over this!

Looks ok (except for 'regression.py' not being run), but for
completeneess you might want to run it in a a pure environment (./pre-
inst-env guix shell --pure tint2) and look for problems like missing
icons or configuration not working or ‘warning: configuration scheme
things / file chooser’ things.

Greetings,
Maxime.